be.ehealth.technicalconnector.handler

## Class SAMLSenderVouchesHandler

- java.lang.Object
- - be.ehealth.technicalconnector.handler.AbstractSOAPHandler
  - - be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
    - - be.ehealth.technicalconnector.handler.SAMLSenderVouchesHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      public class SAMLSenderVouchesHandler
      extends AbstractWsSecurityHandler

  The SAML-SV Callbackhandler.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

      `AbstractWsSecurityHandler.SignedParts, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

  - ### Field Summary

    - ### Fields inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

      `PROP_WSSECHEADER_GENERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLSenderVouchesHandler(Element assertion, X509Certificate certificate, PrivateKey privateKey)` Deprecated.
    `SAMLSenderVouchesHandler(SAMLSenderVouchesCredential token)`

  - ### Method Summary

    - ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

      `buildSignature, handleOutbound`

    - ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

      `close, dumpMessage, getHeaders, handleFault, handleInbound, handleMessage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLSenderVouchesHandler

          @Deprecated
          public SAMLSenderVouchesHandler(Element assertion,
                                                       X509Certificate certificate,
                                                       PrivateKey privateKey)

      Deprecated.

    - #### SAMLSenderVouchesHandler

          public SAMLSenderVouchesHandler(SAMLSenderVouchesCredential token)

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.